summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDan Armak <danarmak@gentoo.org>2001-10-01 11:04:22 +0000
committerDan Armak <danarmak@gentoo.org>2001-10-01 11:04:22 +0000
commiteeaa105921a7f1d53ba72d958656f91e1d7ce61d (patch)
treea9b324d616e8659af477ae426d5ce90745a49e80 /eclass/kde-base.eclass
parentupdated to 0.10.3 (diff)
downloadhistorical-eeaa105921a7f1d53ba72d958656f91e1d7ce61d.tar.gz
historical-eeaa105921a7f1d53ba72d958656f91e1d7ce61d.tar.bz2
historical-eeaa105921a7f1d53ba72d958656f91e1d7ce61d.zip
eclasses v3. read the gentoo-dev announcement, and news.txt and howto.*
in doc/.
Diffstat (limited to 'eclass/kde-base.eclass')
-rw-r--r--eclass/kde-base.eclass84
1 files changed, 8 insertions, 76 deletions
diff --git a/eclass/kde-base.eclass b/eclass/kde-base.eclass
index 7f41d58a004d..5371747f377e 100644
--- a/eclass/kde-base.eclass
+++ b/eclass/kde-base.eclass
@@ -1,90 +1,22 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Dan Armak <danarmak@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/eclass/kde-base.eclass,v 1.7 2001/09/29 21:03:25 danarmak Exp $
-# This is the kde ebuild for >=2.2.1 kde base packages. Don't use for kdelibs though :-)
-# It can't be used for e.g. kdevelop, koffice because of their separate versionnig schemes.
+# $Header: /var/cvsroot/gentoo-x86/eclass/kde-base.eclass,v 1.8 2001/10/01 11:04:22 danarmak Exp $
+# This is the kde ebuild for std. kde-dependant apps which follow configure/make/make install
+# procedures and have std. configure options.
. /usr/portage/eclass/inherit.eclass || die
-inherit c autoconf base || die
+inherit c kde || die
ECLASS=kde-base
-DESCRIPTION="KDE ${PV} - "
-HOMEPAGE="http://www.kde.org/"
-
-SRC_PATH="kde/stable/${PV}/src/${P}.tar.bz2"
-SRC_URI="ftp://ftp.kde.org/pub/$SRC_PATH
- ftp://ftp.fh-heilbronn.de/pub/mirrors/$SRC_PATH
- ftp://ftp.sourceforge.net/pub/mirrors/$SRC_PATH"
+DESCRIPTION="Based on the $ECLASS eclass"
+HOMEPAGE="http://apps.kde.com/"
DEPEND="${DEPEND}
- ( kde-base/kdelibs-${PV} )
objprelink? ( dev-util/objprelink )
- >=x11-libs/qt-x11-2.3.0"
-
+ x11-libs/qt-x11"
RDEPEND="${RDEPEND}
- ( kde-base/kdelibs-${PV} )
- >=x11-libs/qt-x11-2.3.0"
-
-kde-base_src_compile() {
-
- echo "in kde-base_src_compile, 1st parameter is $1"
- [ -z "$1" ] && kde-base_src_compile all
-
- while [ "$1" ]; do
-
- case $1 in
- myconf)
- echo "in kde-base_src_compile, action is myconf"
- use qtmt && myconf="$myconf --enable-mt"
- use objprelink && myconf="$myconf --enable-objprelink" || myconf="$myconf --disable-objprelink"
- ;;
- configure)
- echo "in kde-base_src_compile, action is configure"
- ./configure --host=${CHOST} --with-x \
- ${myconf} --with-xinerama || die
- ;;
- make)
- echo "in kde-base_src_compile, action is make"
- make || die
- ;;
- all)
- echo "in kde-base_src_compile, action is all"
- kde-base_src_compile myconf configure make
- ;;
- esac
-
- shift
- done
-
-}
-
-kde-base_src_install() {
-
- echo "in kde-base_src_install, 1st parameter is $1"
- [ -z "$1" ] && kde-base_src_install all
-
- while [ "$1" ]; do
+ x11-libs/qt-x11"
- case $1 in
- make)
- echo "in kde-base_src_install, action is make"
- make install DESTDIR=${D} || die
- ;;
- dodoc)
- echo "in kde-base_src_install, action is dodoc"
- dodoc AUTHORS ChangeLog COPYING README*
- ;;
- all)
- echo "in kde-base_src_install, action is all"
- kde-base_src_install make dodoc
- ;;
- esac
-
- shift
- done
-
-}
-EXPORT_FUNCTIONS src_compile src_install